import { MouseEventHandler, ReactNode } from 'react';
import { Button } from "../ui/button";

interface ButtonDeveloperProps {
    onClick?: MouseEventHandler<HTMLButtonElement>;
    disabled?: boolean;
    children: ReactNode;
    whitelabelColor: string;
    variant?: 'default' | 'destructive' | 'outline' | 'secondary' | 'evostackPrimary' | 'evostackSecondary' | 'ghost' | 'link' | null | undefined;
}

export default function ButtonDeveloper({ variant = 'evostackPrimary', onClick, disabled, children, whitelabelColor = '#5050FF' }: ButtonDeveloperProps): JSX.Element {
    return (
        <Button
            onClick={onClick}
            disabled={disabled}
            variant={variant}
            style={{ backgroundColor: whitelabelColor }}
            className='w-full'
        >
            {children}
        </Button>
    )
}
